**CREATING RANK DATA SET**

clear
set more off
set mem 256m

version 10

capture log close
log using "$output\Coding_Files_output\Creating Rank Data.log",replace

local extvar "avg_CONSUMPTION avg_EDUCATIONHHHEAD avg_PMTSCORE SHAREAGRICULTURALHH EDUCATIONRTHEAD LOGNUMBERHH DISTANCEKEC LOGVILLAGESIZE RELIGIOUSBUILDINGPERHH PRIMARYSCHOOLPERHH"


******************************************************************************************************************************
**RT HEAD RANK
******************************************************************************************************************************
use "$codeddata\intermediate_data\rthead.dta"
keep hhid RTHEAD hhea
rename hhid hhid_who_rank
sort hhid_who_rank hhea
save "$codeddata\intermediate_data\rthead2.dta", replace
clear

use "$codeddata\intermediate_data\RANK.dta", clear
sort hhid_who_rank hhea hhea
merge hhid_who_rank hhea using "$codeddata\intermediate_data\rthead2.dta"
keep if _merge==3
drop _merge

keep if RTHEAD==1

rename RANK RANK_rthead
keep hhid RANK_rthead
sort hhid
save "$codeddata\intermediate_data\rank_rthead", replace

clear

******************************************************************************************************************************
**SURVEY RANK
******************************************************************************************************************************
use "$codeddata\intermediate_data\rthead.dta"
keep hhid RTHEAD hhea
rename hhid hhid_who_rank
sort hhid_who_rank hhea
save "$codeddata\intermediate_data\rthead2.dta", replace
clear

use "$codeddata\intermediate_data\RANK.dta", clear
sort hhid_who_rank hhea hhea
merge hhid_who_rank hhea using "$codeddata\intermediate_data\rthead2.dta"
drop _merge

keep if RTHEAD!=1

sort hhid hhea
collapse (mean) rank, by(hhid hhea)

bys hhea: egen pctrank = rank(rank)
bys hhea: egen countrank = count(rank)
g RANK_survey = (pctrank - 1)/ (countrank-1)

keep hhid hhea RANK_survey
sort hhid hhea
save "$codeddata\intermediate_data\rank_survey", replace

******************************************************************************************************************************
**CONSUMPTION RANK
******************************************************************************************************************************
use "$codeddata/intermediate_data/consumption"
keep hhid RANKCONSUMPTION
sort hhid
save "$codeddata/intermediate_data/rankconsumption", replace
clear

******************************************************************************************************************************
**SELF ASSESSMENT
******************************************************************************************************************************
use "$codeddata/intermediate_data/hh_sw.dta"
keep hhid RANK_sw02
sort hhid
save "$codeddata/intermediate_data/selfassessment", replace

******************************************************************************************************************************
**MERGING RANKS
******************************************************************************************************************************
clear
use "$codeddata\intermediate_data\rank_survey"
sort hhid 

merge hhid using "$codeddata\intermediate_data\rank_rthead"
drop _merge

sort hhid
merge hhid using "$codeddata\intermediate_data\rankconsumption"
drop _merge

sort hhid
merge hhid using "$codeddata\intermediate_data\selfassessment"
drop _merge

sort hhid
save "$codeddata\finalranks", replace


