/* This file makes all tables in the targeting analysis */
/* Last Modified 18 May 2009 */

clear
set more off
set mem 256m

version 10

set sortseed 10000

capture log close
log using "$output\Coding_Files_output\Fix_Mistarget.log",replace

local extvar "avg_CONSUMPTION avg_EDUCATIONHHHEAD avg_PMTSCORE SHAREAGRICULTURALHH EDUCATIONRTHEAD LOGNUMBERHH DISTANCEKEC LOGVILLAGESIZE RELIGIOUSBUILDINGPERHH PRIMARYSCHOOLPERHH"

******************************
* Table 3 -- Results of Different Targeting Methods on Mistargeting Rate
******************************
use "$codeddata\mistargeting.dta", clear

**Mistarget
replace MISTARGETDUMMY=0 if RTS==.
replace MISTARGETDUMMY=1 if RTS==. & poor==1
replace MISTARGETDUMMY=. if CONSUMPTION==.
replace MISTARGETDUMMY=. if poor==.

**non poor and poor
replace MISTARGETNONPOORDUMMY=0 if RTS==. & poor==0
replace MISTARGETPOORDUMMY=1 if RTS==. & poor==1

replace MISTARGETNONPOORDUMMY=. if CONSUMPTION==.
replace MISTARGETPOORDUMMY=. if CONSUMPTION==.

**DISTRIBUTION
replace MISTARGETRICHDUMMY=0 if RTS==. & rich==1
replace MISTARGETMIDDLEDUMMY=0 if RTS==. & middle==1

replace MISTARGETNEARPOORDUMMY=1 if RTS==. & nearpoor==1 
replace MISTARGETVERYPOORDUMMY=1 if RTS==. & verypoor==1

**ONLIST
replace RTS=0 if RTS==.

save "$codeddata\mistargeting_CORRECTED.dta", replace
clear

*************************************************************************************************************
**ADDING ELITE CONNECTED
*************************************************************************************************************
**LINA'S NEW FILE
use "$codeddata\aggregatevar_new.dta"
keep hhid INFORMALLEADER FORMALLEADER say_FAMILYINFORMALLEADER FAMILYINFORMALLEADER say_FAMILYFORMALLEADER FAMILYFORMALLEADER say_FAMILYRTHEAD FAMILYRTHEAD
rename hhid  hhid_suseti
sort hhid
save "$codeddata\Temp_Files\tempelite.dta", replace
clear

**MERGING INTO MISTARGETING FILE
use "$codeddata\mistargeting_CORRECTED.dta"
sort hhid_suseti
merge hhid_suseti using "$codeddata\Temp_Files\tempelite.dta"

drop elite_connectedness  C_elite_connectedness H_elite_connectedness E_elite_connectedness E_H_elite_connectedness

gen elite_connectedness=(INFORMALLEADER==1 | FORMALLEADER==1 | say_FAMILYINFORMALLEADER==1 | FAMILYINFORMALLEADER==1 | say_FAMILYFORMALLEADER==1 | FAMILYFORMALLEADER==1 | say_FAMILYRTHEAD==1 | FAMILYRTHEAD==1 | RTHEAD==1)

gen C_elite_connectedness=elite_connectedness*COMMUNITY 
gen H_elite_connectedness=elite_connectedness*HYBRID 
gen E_elite_connectedness=elite_connectedness*ELITE
gen E_H_elite_connectedness=elite_connectedness*HYBRID*ELITE

save "$codeddata\mistargeting_CORRECTED.dta", replace

log close
