/* revised aggregatevar.dta (create in analysis01.do)  */

/* Create aggregatevar_new.dta */
/* Last Modified 24 August 2009 */

clear
set more off
set mem 256m

version 10

capture log close
log using "$output\aggregatevar_new.log",replace

****

use "$codeddata\intermediate_data\formalleader.dta", clear
mmerge hhid using "$codeddata\intermediate_data\informalleader.dta"
mmerge hhid using "$codeddata\intermediate_data\rthead.dta"
drop if _m==2
drop _m

keep hhid FORMALLEADER INFORMALLEADER RTHEAD

gen ELITE = FORMALLEADER==1| INFORMALLEADER==1

gen hhea = substr(hhid,1,3)

rename hhid hhid_cr01
tempfile b
save `b'

use "$baseline\hh_cr01.dta", clear

gen hhea = substr(hhid,1,3)
gen hhid_cr01 =hhea +cr01_hhid

mmerge hhid_cr01 using `b'
drop if _m==2
replace ELITE = 0 if _m==1
drop _m

bys hhid: egen say_FAMILYFORMALLEADER = sum(FORMALLEADER)
label var say_FAMILYFORMALLEADER "HH state that they are related to FORMAL LEADER"
bys hhid: egen say_FAMILYINFORMALLEADER = sum(INFORMALLEADER)
label var say_FAMILYINFORMALLEADER "HH state that they are related to INFORMAL LEADER"
bys hhid: egen say_FAMILYRTHEAD =sum(RTHEAD)
label var say_FAMILYRTHEAD "HH state that they are related to RTHEAD"

keep hhid say*

bys hhid: keep if _n==1
replace say_FAMILYFORMALLEADER = 1 if say_FAMILYFORMALLEADER>=1
replace say_FAMILYINFORMALLEADER = 1 if say_FAMILYINFORMALLEADER>=1

tempfile c
save `c', replace


use "$baseline\hh_cr00.dta", clear
keep hhid  cr05a*_jbt


rename cr05a1_jbt cr05aa_jbt


rename cr05a2_jbt cr05ba_jbt


rename cr05a3_jbt cr05ca_jbt


rename cr05a4_jbt cr05da_jbt


rename cr05a5_jbt cr05ea_jbt



// keep only family of RTHEAD //
foreach var in "a" "b" "c" "d" "e" {
	preserve
	keep if  cr05`var'a_jbt=="E"
	
	keep hhid 

	mmerge hhid using $baseline\hh_cr05`var'a.dta
	keep if _m==3
	gen familyrthead=1
	
	gen hhea = substr(hhid,1,3)
	gen hhid_familyrthead = hhea+cr05`var'a_hhid
	keep hhid familyrthead hhea hhid_familyrthead
	tempfile d`var'
	save `d`var'', replace
	restore
	}

use `da', clear
append using `db'
append using `dc'
append using `dd'
append using `de'

bys hhid_familyrthead: egen vote_familyrthead = sum(familyrthead)
drop hhid familyrthead
rename hhid_familyrthead hhid
bys hhid: keep if _n==1
gen FAMILYRTHEAD = (vote_familyrthead>=2)
label var FAMILYRTHEAD "Family member of RTHEAD"

mmerge hhid using `c'

mmerge hhid using "$codeddata/intermediate_data\aggregatevar.dta"
drop if _m==1
drop _m

replace FAMILYRTHEAD = 0 if FAMILYRTHEAD==.
replace say_FAMILYFORMALLEADER=0 if say_FAMILYFORMALLEADER==.
replace say_FAMILYINFORMALLEADER=0 if say_FAMILYINFORMALLEADER==.
replace say_FAMILYRTHEAD=0 if say_FAMILYRTHEAD==.

save "$codeddata/aggregatevar_new.dta", replace

log close
