/* Analysis 8: Random order of ranking  */
/* Last Modified 30 Dec 2009 */

clear
set more off
set mem 256m

version 10

set sortseed 10000


capture log close
log using "$output\Coding_files_output\analysis8.log",replace

// Listing from survey meter

use "$data\other\listing exp.dta", clear

keep wilcah hhid

rename wilcah hhea
tostring hhea, replace
replace hhea = "00" + hhea if length(hhea)==1
replace hhea = "0" + hhea if length(hhea)==2

rename hhid idrt
tostring idrt, replace
replace idrt = "00" + idrt if length(idrt)==1
replace idrt = "0" + idrt if length(idrt)==2

gen hhid = hhea + idrt

sort hhea hhid
bys hhea: gen meeting_order=_n

bys hhea: egen nhh= max(meeting_order)

gen random_rank= meeting_order/nhh

tempfile a
save `a', replace


// Form 7b

use "$codeddata\intermediate_data\f7b_ranking.dta", clear
keep hhid TREATRANK*
mmerge hhid using `a'

keep if _m== 3
drop _m

save "$codeddata/analysis8.dta", replace

**fanreg TREATRANK random_rank, reps(10) cluster(hhea) xtitle("Random rank order") saving(output/Coding_files_output/analysis8,replace)

log close

