/* CODING SUSETI 2: ENDLINE */
/* Last Modified 26 April 2009 */

clear
set more off
set mem 256m

version 10
set sortseed 10000

capture log close
log using "$output\Coding_files_output\coding_endline.log",replace

use "$data/endline/e_data.dta", clear
keep hhid e_q5* e_q6 e_q7 e_q8 e_q14 e_q15num e_q17num

/* Attend the meeting */

label var e_q5a "Q5a. Did you attend a meeting where household welfare ranking was determined in December 2008- January 2009? "
recode e_q5a (3 8 = 0)
label define yesno 1 "1. Yes" 0 "0. No" 
label val e_q5a yesno

label var e_q5b "Q5b. Did any other household member attend the meeting in December 2008- January 2009? "
recode e_q5b (3 8 = 0)
label val e_q5b yesno

/* Satisfaction */

label var e_q8 "Q8. Are you satisfied with P2K08 activities in this RT in general?"
label define e_q8 1 "1. Very satisfied" 2 "2. Satisfied" 3 "3. A little bit disatisfied" 4 "4. Very disatisfied" 6 "6. No opinion" 7 "7. Didn't answer" 8 "8. Don't know"
label val e_q8 e_q8

/* Appropriateness */

label var e_q6 "Q6. In your opinion, is the method  applied to determine the targeted households correct?"
label define e_q6 1 "1. Very correct" 2 "2. Correct" 3 "3. A bit correct" 4 "4. Very incorrect" 6 "6. No opinion" 7 "7. Didn't answer" 8 "8. Don't know the method" 9 "9. Missing"
label val e_q6 e_q6

/* Better than BLT question */

label var e_q7 "Q7. In your opinion, how is this method if compared with other method (like BLT) in determining targeted HH?"
label define e_q7 1 "1. More correct" 2 "2. The same" 3 "3. Not correct" 6 "6. No opinion" 7 "7. Didn't answer" 8 "8. Don't know"
label val e_q7 e_q7

/* Number of HH that should be added to list (dummy for not saying "it s ok") */

label var e_q14 "Q14. In your opinion, is there any poor HH which are not included in the targeted HH list?"
recode e_q14 (3 8 9 = 0)
label val e_q14 yesno

/* Number of HH that should be added to list */

label var e_q15num "Number of HH that should be added from list"
recode e_q15num (. = 0)

/* Number of HH that should be subtracted to list */

label var e_q17num "Number of HH that should be subtracted from list"
recode e_q17num (. = 0)

gen hhea = substr(hhid,1,3)
compress
sort hhid

save "$codeddata\intermediate_data\coding_endline.dta", replace

log close
