/* Matching suseti dan experiment data */
/* Last Modified 8 April 2009 */

clear
set more off
set mem 256m

version 10

capture log close
log using "$output\Coding_Files_output\match_suseti_community.log",replace


/* Suseti data */

use "$data\baseline\hh_ar1.dta", clear
gen hhea = substr(hhid,1,3)
destring hhea, replace
mmerge hhea using "$codeddata/intermediate_data/coding_treatment.dta"

** keep for PMT data
preserve
keep if maintreatment==1
keep hhid hhea maintreatment
rename hhid hhid_suseti

gen hhid_exp = hhid_suseti
replace hhid_exp = "055935" if hhid_suseti == "055826" 
replace hhid_exp = "509761" if hhid_suseti == "509962"
replace hhid_exp = "582672" if hhid_suseti == "582198" 
replace hhid_exp = "582672" if hhid_suseti == "582355" 
replace hhid_exp = "582652" if hhid_suseti == "582417" 
replace hhid_exp = "582517" if hhid_suseti == "582468" 
replace hhid_exp = "582798" if hhid_suseti == "582488" 
replace hhid_exp = "582798" if hhid_suseti == "582650" 
replace hhid_exp = "582241" if hhid_suseti == "582679" 
replace hhid_exp = "582491" if hhid_suseti == "582769" 
replace hhid_exp = "582997" if hhid_suseti == "582825" 
replace hhid_exp = "593843" if hhid_suseti == "593842" 

tempfile a1
save `a1', replace
restore

** keep for community and hybrid area
drop if maintreatment==1
keep hhid hhea maintreatment
rename hhid hhid_suseti

gen hhid_exp = hhid_suseti
replace hhid_exp = "138877" if hhid_suseti == "138512" /* Household was dropped after the baseline but was added again in the community meeting */
tempfile a2
save `a2', replace


/* PMT area */

* updating form

use "$codeddata\intermediate_data\ud.dta", clear
destring hhea, replace
rename hhid hhid_exp
mmerge hhid_exp using `a1'

drop if _m==1
tempfile b1
save `b1', replace

* cover form

use "$codeddata\intermediate_data\data_p_rtm.dta", clear
keep hhid resultofvisit
tempfile c1
save `c1', replace

* PMT form
use "$codeddata\intermediate_data\pmt_p2k08.dta", clear
keep hhea RTS ranking hhid nhhrank TREATRANK

mmerge hhid using `c1'

drop _m
rename hhid hhid_exp
destring hhea, replace

tempfile d1
save `d1', replace

mmerge hhid_exp using `b1'

drop if _m==1
gen m= _m

tab kunjungan

** some suseti households were dropped because they died, moved, wrong address, or were not around during the enumeration period
replace hhid_exp = "" if _m==2 & (kunjungan>=3 & kunjungan<=6)
replace m=3 if _m==2 & (kunjungan>=3 & kunjungan<=6)

** some suseti households were found but some of them are partly completed, refused to answer, not around during enumeration period or not found
replace hhid_exp = "" if result!=1 & result!=.

replace m=3 if _m==2 & (kunjungan>=3 & kunjungan<=6)

** some suseti households are actually merge with other households
preserve
drop if hhidinduk!="" & m==2
tempfile e1
save `e1', replace
restore

keep if hhidinduk!="" & m==2

** there is a mistake in HHID for merge HH
replace hhidinduk = "014538" if hhidinduk == "014109"

replace hhid_exp=hhidinduk
*keep hhid_exp

drop RTS ranking nhhrank TREATRANK
replace m=3

mmerge hhid_exp using `d1'

drop if _m==2

append using `e1'

keep hhea hhid_exp hhid_suseti kunjungan maintreatment m
sort hhid_suseti
compress
tempfile pmt
save `pmt', replace





/* Community area */
 
use "$codeddata\intermediate_data\f3_kla.dta", clear
destring hhea, replace
rename hhid hhid_exp

mmerge hhid_exp using `a2'

drop if _m==1
tempfile b2
save `b2', replace


** Check for hybrid, is it f7b entry by Eeng's team is the same as BPS's

use "$codeddata\intermediate_data\f7b_bps.dta", clear
mmerge hhid using "$codeddata\intermediate_data\f7b_ranking.dta" 
** there are still 38 HH that did not match, have to check with Eeng's 

use "$codeddata\intermediate_data\f7b_ranking.dta", clear
keep hhea hhid

rename hhid hhid_exp
destring hhea, replace
tempfile c2
save `c2', replace

mmerge hhid_exp using `b2'

drop if _m==1
gen m= _m

tab kla_q6 if _m==2

** some suseti households were dropped because they died, moved, wrong address, or were not around during the enumeration period
replace hhid_exp = "" if _m==2 & (kla_q6==3 | kla_q6==4 |kla_q6==8 |kla_q6==9)
replace m=3 if _m==2 & (kla_q6==3 | kla_q6==4 |kla_q6==8 |kla_q6==9)

** some suseti households are actually merge with other households
preserve
drop if hhidinduk!="" & m==2
tempfile d2
save `d2', replace
restore

keep if hhidinduk!="" & m==2

** there is a mistake in HHID for merge HH
replace hhidinduk = "171539" if hhid_suseti=="171374" 
replace hhidinduk = "402151" if hhid_suseti=="402678"
replace hhidinduk = "" if hhid_suseti=="471231" /* The facilitator did not put the hhid of merged HH */ 
 
replace hhid_exp=hhidinduk

mmerge hhid_exp using `c2'

drop if _m==2
replace m=3

append using `d2'

tab m

keep hhea hhid_exp hhid_suseti kla_q6 maintreatment m
sort hhid_suseti

compress
tempfile community
save `community', replace

append using `pmt'

/* there are still 20 HH could not be match */
replace hhid_exp = "" if m==2

sort hhid_suseti
compress

save "$codeddata/intermediate_data/match_suseti_experiment.dta", replace

log close
