/* To create randomization data */
/* Last Modified 18 August 2009 */

clear
set more off
set mem 256m

version 10

capture log close
log using "$output\Coding_files_output\randomizationdata.log",replace


/* CREATE LOG NUMBER OF HH IN RT FROM SURVEY METER LISTING FORM */

	use "$codeddata/intermediate_data/coding_treatment.dta", clear
	gen LOGNUMBERHH = log(numhhsls_dec)
	gen PMT = (maintreatment==1)
	gen COMMUNITY = (maintreatment==2)
	gen HYBRID = (maintreatment==3)
	tempfile a
	save `a',replace 

/* MERGE WITH SUSETI DATA */

	use "$codeddata\intermediate_data\hhhead.dta", clear
	mmerge hhid using "$codeddata\coding_suseti_pmt"
	recode  EDUCATIONHHHEAD (95 98=.)

	collapse(mean) avg_CONSUMPTION = CONSUMPTION avg_EDUCATIONHHHEAD=EDUCATIONHHHEAD avg_PMTSCORE=PMTSCORE SHAREAGRICULTURALHH avg_YREDUCATIONHHHEAD = YREDUCATIONHHHEAD, by( hhea)

	mmerge hhea using "$codeddata\intermediate_data\rthead", type(1:1)

	destring hhea, replace
	mmerge hhea using `a'
	drop _m

/* MERGE WITH PODES08 */

	mmerge prop kab kec desa using "$codeddata\intermediate_data\coding_podes08.dta", type(1:1)

	keep if _m==3
	drop _m

keep hhea main avg_CONSUMPTION avg_PMTSCORE avg_EDUCATIONHHHEAD avg_YREDUCATIONHHHEAD SHAREAGRICULTURALHH EDUCATIONRTHEAD YREDUCATIONRTHEAD LOGNUMBERHH PMT COMMUNITY HYBRID kecagroup DISTANCEKEC LOGVILLAGESIZE RELIGIOUSBUILDINGPERHH PRIMARYSCHOOLPERHH

label var hhea 				"Household Enumeration Area"
label var avg_CONSUMPTION 		"Mean per capita expenditure"
label var avg_PMTSCORE 			"Mean PMT score (calculated from baseline survey)"
label var avg_EDUCATIONHHHEAD 		"Mean education level of Household head"
label var avg_YREDUCATIONHHHEAD 		"Mean years of education of Household head"
label var SHAREAGRICULTURALHH 		"% of Households that are agricultural"
label var LOGNUMBERHH 			"Log number of households"
label var DISTANCEKEC 			"Distance to kecamatan in km"
label var LOGVILLAGESIZE 		"Log size of village in hectares"
label var RELIGIOUSBUILDINGPERHH 	"Religious building per household"
label var PRIMARYSCHOOLPERHH 		"Primary school per household"
label var PMT 				"PMT treatment"
label var COMMUNITY			"Community treatment"
label var HYBRID			"Hybrid treatment"

sum
compress
sort hhea

save "$codeddata\randomizationdata.dta", replace

log close
