/* Create satisfaction_community data  */
/* Last Modified 26 April 2009 */

clear

set more off
set mem 256m

version 10

capture log close
log using "$output\Coding_Files_output\satisfaction_community.log",replace

	use "$codeddata/intermediate_data/coding_endline.dta", clear

/* recode all noopinion, dont't know and missing to missing */

	recode e_q6 (6 7 8 9 = .)
	recode e_q7 (6 7 8 9 = .)
	recode e_q8 (6 7 8 9 = .)
	
	// recode variables 1 = very incorrect 2 = a bit correct 3= correct 4 very correct
	
	recode e_q6 (4=1) (3=2) (2=3) (1=4)
	label drop e_q6 e_q7 e_q8
	label define e_q6 1 "1. very incorrect" 2 "2. a bit correct" 3 "3. correct" 4 "4. very correct"
	label val e_q6 e_q6
	recode e_q7 (3=1) (2=2) (1=3)
	label define e_q7 1 "1. not correct" 2 "2. the same" 3 "3. more correct"
	label val e_q7 e_q7
	recode e_q8 (4=1) (3=2) (2=3) (1=4)
	label define e_q8 1 "1. very disatisfied" 2 "2. a little bit disatisfied" 3 "3. satisfied" 4 "4. very satisfied"
	label val e_q8 e_q8
	
	destring hhea, replace
	mmerge hhea using "$codeddata/intermediate_data/coding_treatment.dta"
	drop prop - numvillages pmtsurprisesubtreatment pmtpost2listssubtreatment village_order facilitator_code meeting_order o fund_order numhhsls_dec quotaslsb1dec share update_pop inc_pop quota quota_final quota_2
	
	keep if _m==3
	drop _m
	
	gen PMT = (maintreatment==1)
	gen COMMUNITY = (maintreatment==2)
	gen HYBRID = (maintreatment==3)

	rename tokohsubtreatment ELITE 
	label var ELITE "ELITE treatment"
	
	rename poor10subtreatment POOREST10 
	label var POOREST10 "10 POOREST treatment"
	
	gen DAYMEETING = 1 if daynightsubtreatment==0
	replace DAYMEETING = 0 if daynightsubtreatment==1
	drop daynightsubtreatment
	label var DAYMEETING " Day meeting treatment"

	gen ELITEHYBRID = ELITE * HYBRID
	label var ELITEHYBRID "ELITE * HYBDRID"
	tempfile a
	save `a', replace

/* merge with variables in randomization data */

	use "$codeddata\randomizationdata.dta", clear
	mmerge hhea using `a'
	keep if _m==3
	drop _m

	compress
	sort hhid

	save "$codeddata/satisfaction_community.dta", replace

*****************


log close

