/* This file makes Table 10 - Do community meetings reflect broadly shared preferences? - in the targeting analysis */
/* Last Modified 01 Feb 2010 */


clear
clear matrix
set more off
set mem 256m

capture log close
log using "$output\Tables\Table10\Table10.log",replace

local extvar "avg_CONSUMPTION avg_EDUCATIONHHHEAD avg_PMTSCORE SHAREAGRICULTURALHH EDUCATIONRTHEAD LOGNUMBERHH DISTANCEKEC LOGVILLAGESIZE RELIGIOUSBUILDINGPERHH PRIMARYSCHOOLPERHH"

******************************
* Table 11. Are these Broadly Shared or Narrow Preferences?
******************************
**Attendance
use "$codeddata\satisfaction_rthead.dta", clear

areg prob_total_HHattend HYBRID DAYMEETING ELITE POOREST10, absorb(kecagroup) cluster(hhea)
outreg2 using "$output\Tables\Table10\Table10", excel paren(se) bdec(3) replace

areg probattend COMMUNITY HYBRID DAYMEETING ELITE POOREST10, absorb(kecagroup) cluster(hhea)
outreg2 using "$output\Tables\Table10\Table10", excel paren(se) bdec(3) append

areg swomen_attend HYBRID DAYMEETING ELITE POOREST10, absorb(kecagroup) cluster(hhea)
outreg2 using "$output\Tables\Table10\Table10", excel paren(se) bdec(3) append

sum prob_total_HHattend if PMT==1
sum probattend if PMT==1
sum swomen_attend if PMT==1

**MISTARGET
use "$codeddata\mistargeting_CORRECTED.dta", clear
areg MISTARGETDUMMY COMMUNITY HYBRID DAYMEETING ELITE POOREST10, absorb(kecagroup)  cluster(hhea)
outreg2 using "$output\Tables\Table10\Table10", excel paren(se) bdec(3) append

sum MISTARGETDUMMY if PMT==1

use "$codeddata\rankcorrelation.dta", clear
foreach X of var RANKCORRTREATCONSUMPTION_main  RANKCORRTREATCOMMUNITY_main RANKCORRTREATCOMMUNITY_RT1 RANKCORRTREATSW02_main {
areg `X' COMMUNITY HYBRID DAYMEETING ELITE POOREST10, absorb(kecagroup)
outreg2 using "$output\Tables\Table10\Table10", excel paren(se) bdec(3) append

}

foreach X of var RANKCORRTREATCONSUMPTION_main  RANKCORRTREATCOMMUNITY_main RANKCORRTREATCOMMUNITY_RT1 RANKCORRTREATSW02_main {
sum `X' if PMT==1
}


log close

