* This file makes Table 11 in the targeting analysis */
/* Last Modified 01 Feb 2010 */

clear
clear matrix
set more off
set mem 256m



capture log close
log using "$output\Tables\Table11\Table11.log",replace

local extvar "avg_CONSUMPTION avg_EDUCATIONHHHEAD avg_PMTSCORE SHAREAGRICULTURALHH EDUCATIONRTHEAD LOGNUMBERHH DISTANCEKEC LOGVILLAGESIZE RELIGIOUSBUILDINGPERHH PRIMARYSCHOOLPERHH"


******************************
* Table 13. Does the Community Have Residual Information? (Part 1)
******************************

use "$codeddata\analysis01.dta", clear

local assets "pcfloor tfloor twall toilet water lighting troof fcook house credit hhsize hhsize2 hhage hhage2 hhmale hhmarried hhmalemarr hhsector1 hhsector2 hhsector3 formal informal hheduc2 hheduc3 hheduc4 age04 eschild jschild sschild higheduc2 higheduc3 higheduc4 depratio se2_115 se2_117 se2_13_15 se2_11_12 se2_14 se2_114 se2_18 se2_17 se2_124 se2_125 se2_126_127 se2_119 se2_122_123 se5_110 se5_11_12"

label var credit "Has this Household ever got credit?"

cap erase $output\Tables\Table11\Table11.xml
cap erase $output\Tables\Table11\Table11.txt

** fixed effect

areg RANK RANKCONSUMPTION PMTRANK, absorb(hhid_who_rank) cluster(hhea)
outreg2 using "$output\Tables\Table11\Table11", excel paren(se) bdec(3) append
areg RANK RANKCONSUMPTION `assets', absorb(hhid_who_rank) cluster(hhea)
outreg2 using "$output\Tables\Table11\Table11", excel paren(se) bdec(3) append


** No fixed effect

regress RANK RANKCONSUMPTION PMTRANK, cluster(hhea)
*outreg2 using "$output\Tables\Table11\Table11", excel paren(se) bdec(3) append
regress RANK RANKCONSUMPTION `assets', cluster(hhea)
*outreg2 using "$output\Tables\Table11\Table11", excel paren(se) bdec(3) append

log close
