/* This file makes Table8 and Figure 3 */
/* Last Modified 01 Feb 2010 */


clear
clear matrix
set more off
set mem 256m

capture log close
log using "$output\Tables\Table8\Table8.log",replace

local extvar "avg_CONSUMPTION avg_EDUCATIONHHHEAD avg_PMTSCORE SHAREAGRICULTURALHH EDUCATIONRTHEAD LOGNUMBERHH DISTANCEKEC LOGVILLAGESIZE RELIGIOUSBUILDINGPERHH PRIMARYSCHOOLPERHH"

******************************
*Table 8 . RANKING ORDER
******************************
use "$codeddata\mistargeting_CORRECTED.dta", clear
keep kecagroup hhid_exp MISTARGETDUMMY RTS hhea
rename hhid_exp hhid
sort hhid
save "$codeddata/Temp_Files/temp", replace

use "$codeddata\analysis8.dta", clear
drop hhea
sort hhid
merge hhid using "$codeddata\Temp_Files\temp.dta"
drop _merge

preserve
keep hhea kecagroup
keep if kecagroup!=.
sort hhea
collapse (max) kecagroup, by(hhea)
sort hhea
save "$codeddata/Temp_Files/temp2", replace
restore

drop kecagroup
sort hhea
merge hhea using "$codeddata\Temp_Files\temp2.dta"
drop _merge

destring hhea, replace
sort hhea
merge hhea using "$codeddata\Temp_Files\temp_treatmentstatus.dta"
tab _merge

gen random_rankHYB=random_rank*HYBRID

areg MISTARGETDUMMY random_rank HYBRID, absorb(kecagroup) cluster(hhea)
outreg2 using "$output\Tables\Table8\Table8", excel paren(se) bdec(3) replace

areg MISTARGETDUMMY random_rank random_rankHYB HYBRID, absorb(kecagroup) cluster(hhea)
outreg2 using "$output\Tables\Table8\Table8", excel paren(se) bdec(3) append

tempfile a1
save `a1'


******************************
* Table 8b. 10 POOREST
******************************

*use "$codeddata\mistargeting_CORRECTED.dta", clear

**10 POOREST
*gen POOREST10HYB=POOREST10*HYBRID
*gen POOREST10COMM=POOREST10*COMMUNITY

*preserve
*keep if COMMUNITY==1 | HYBRID==1

*areg MISTARGETDUMMY POOREST10 HYBRID, absorb(kecagroup) cluster(hhea)
*outreg2 using "$output\Tables\Table8\Table8", excel paren(se) bdec(3) append

*areg MISTARGETDUMMY POOREST10 POOREST10HYB HYBRID, absorb(kecagroup) cluster(hhea)
*outreg2 using "$output\Tables\Table8\Table8", excel paren(se) bdec(3) append

*restore

*areg MISTARGETDUMMY POOREST10 COMMUNITY HYBRID, absorb(kecagroup) cluster(hhea)
*outreg2 using "$output\Tables\Table8\Table8", excel paren(se) bdec(3) append

*areg MISTARGETDUMMY POOREST10 POOREST10COMM POOREST10HYB COMMUNITY HYBRID, absorb(kecagroup) cluster(hhea)
*outreg2 using "$output\Tables\Table8\Table8", excel paren(se) bdec(3) append

*sort hhea
*collapse (max) COMMUNITY HYBRID, by(hhea)
*sort hhea
*save "$codeddata\Temp_Files\temp_treatmentstatus.dta", replace

**************************************************
*RANKING ORDER - ON BENEFICIARY LIST
***************************************************
 
use `a1', clear

areg RTS random_rank HYBRID, absorb(kecagroup) cluster(hhea)
outreg2 using "$output\Tables\Table8\Table8", excel paren(se) bdec(3) append

areg RTS random_rank random_rankHYB, absorb(kecagroup) cluster(hhea)
outreg2 using "$output\Tables\Table8\Table8", excel paren(se) bdec(3) append


**REPLACE RANK=0

replace COMMUNITY=0 if COMMUNITY==.
replace HYBRID=0 if HYBRID==.

replace random_rank=0 if COMMUNITY==0 & HYBRID==0
drop random_rankHYB
gen random_rankHYB=random_rank*HYBRID

areg MISTARGETDUMMY random_rank COMMUNITY HYBRID, absorb(kecagroup) cluster(hhea)
*outreg2 using "$output\Tables\Table8\Table8", excel paren(se) bdec(3) append

areg RTS random_rank COMMUNITY HYBRID, absorb(kecagroup) cluster(hhea)
*outreg2 using "$output\Tables\Table8\Table8", excel paren(se) bdec(3) append

areg MISTARGETDUMMY random_rank random_rankHYB COMMUNITY HYBRID, absorb(kecagroup) cluster(hhea)
*outreg2 using "$output\Tables\Table8\Table8", excel paren(se) bdec(3) append

areg RTS random_rank random_rankHYB COMMUNITY HYBRID, absorb(kecagroup) cluster(hhea)
*outreg2 using "$output\Tables\Table8\Table8", excel paren(se) bdec(3) append

**GRAPHS - Figure 3
keep if COMMUNITY==1 | HYBRID==1
fanreg MISTARGETDUMMY random_rank, reps(10) cluster(hhea) xtitle("Random rank order") saving("$output/Figures/Figure3/analysis8",replace)

preserve
keep if COMMUNITY==1
fanreg MISTARGETDUMMY random_rank, reps(10) cluster(hhea) xtitle("Random rank order") saving("$output/Figures/Figure3/analysis8_COMM",replace)
restore

preserve
keep if HYBRID==1
fanreg MISTARGETDUMMY random_rank, reps(10) cluster(hhea) xtitle("Random rank order") saving("$output/Figures/Figure3/analysis8_HYBRID",replace)
restore



log close
