/* This file makes Table 9- Assessing targeting using alternative 
welfare metrics -  in the targeting analysis */
/* Last Modified 01 Feb 2010 */



clear
clear matrix
set more off
set mem 256m

capture log close
log using "$output\Tables\Table9\Table9.log",replace

local extvar "avg_CONSUMPTION avg_EDUCATIONHHHEAD avg_PMTSCORE SHAREAGRICULTURALHH EDUCATIONRTHEAD LOGNUMBERHH DISTANCEKEC LOGVILLAGESIZE RELIGIOUSBUILDINGPERHH PRIMARYSCHOOLPERHH"

******************************
* Table 10. Assessing targeting treatments using alternative welfare metrics
******************************
use "$codeddata\rankcorrelation.dta", clear

cap erase "$output\Tables\Table9\Table9.xml"
cap erase "$output\Tables\Table9\Table9.txt"


foreach X of var RANKCORRTREATCONSUMPTION_main  RANKCORRTREATCOMMUNITY_main RANKCORRTREATCOMMUNITY_RT1 RANKCORRTREATSW02_main {

areg `X' COMMUNITY HYBRID, absorb(kecagroup)
outreg2 using "$output\Tables\Table9\Table9", excel paren(se) bdec(3) append

}

log close

